function getChildElementsByClassName(parentElement, className)
{
	var i, childElements, pattern, result;
	result = new Array();
	pattern = new RegExp("\\b"+className+"\\b");


	childElements = parentElement.getElementsByTagName('*');
	for(i = 0; i < childElements.length; i++)
	{
		if(childElements[i].className.search(pattern) != -1)
		{
			result[result.length] = childElements[i];
		}
	}
	return result;
}


function BuildTabs(containerId)
{
	var i, tabContainer, tabContents, tabHeading, title, tabElement;
	var divElement, ulElement, liElement, tabLink, linkText;


	// assume that if document.getElementById exists, then this will work...
	if(! eval('document.getElementById') ) return;

	tabContainer = document.getElementById(containerId);
	if(tabContainer == null)
		return;

	tabContents = getChildElementsByClassName(tabContainer, 'tab-content');
	if(tabContents.length == 0)
		return;

	divElement = document.createElement("div");
  	divElement.className = 'tab-header'
  	divElement.id = containerId + '-header';
	ulElement = document.createElement("ul");
  	ulElement.className = 'tab-list'

	tabContainer.insertBefore(divElement, tabContents[0]);
	divElement.appendChild(ulElement);

	for(i = 0; i < tabContents.length; i++)
	{
		tabHeading = getChildElementsByClassName(tabContents[i], 'tab');
		title = tabHeading[0].childNodes[0].nodeValue;

		// create the tabs as an unsigned list
		liElement = document.createElement("li");
		liElement.id = containerId + '-tab-' + i;

		tabLink = document.createElement("a");
		linkText = document.createTextNode(title);

		tabLink.className = "tab-item";

		tabLink.setAttribute("href","javascript://");
		tabLink.setAttribute( "title", tabHeading[0].getAttribute("title"));
		tabLink.onclick = new Function ("ActivateTab('" + containerId + "', " + i + ")");

		ulElement.appendChild(liElement);
		liElement.appendChild(tabLink);
		tabLink.appendChild(linkText);

		// remove the H1
		tabContents[i].removeChild
	}
}

function ActivateTab(containerId, activeTabIndex)
{
	var i, tabContainer, tabContents;
	
	document.form3.n_k.value = "";
	
	tabContainer = document.getElementById(containerId);
	if(tabContainer == null)
		return;

	tabContents = getChildElementsByClassName(tabContainer, 'tab-content');
	if(tabContents.length > 0)
	{
		for(i = 0; i < tabContents.length; i++)
		{
			//tabContents[i].className = "tab-content";
			tabContents[i].style.display = "none";
		}

		tabContents[activeTabIndex].style.display = "block";


    		tabList = document.getElementById(containerId + '-list');
		tabs = getChildElementsByClassName(tabContainer, 'tab-item');
		if(tabs.length > 0)
		{
			for(i = 0; i < tabs.length; i++)
			{
				tabs[i].className = "tab-item";
			}

			tabs[activeTabIndex].className = "tab-item tab-active";
			tabs[activeTabIndex].blur();
		}
	}
}
BuildTabs('tab-container');
ActivateTab('tab-container', 0);
BuildTabs('tab-container-2');
ActivateTab('tab-container-2', 0);

// JavaScript Document
function doClear(N)
{
	var N, pKh1,dHh1,pKh2,dHh2,pK1,pK2,pKm1,dHm1,pKmn1,pKhm,dHhm,pKHMG,pKMg,pKk1,dHk1,pKna1,dHna1,pKhna,dHhna,pKca1,dHca1,pKCa1,pKhca, dHca,pKHCa, pKca2,dHca2,pKCa2;
	
document.form1.new_pK.value = ""; document.form1.new_dHh1.value = "";
document.form1.new_pK2.value = ""; document.form1.new_dHh2.value = "";
document.form1.new_pKm1.value = ""; document.form1.new_dHm1.value = "";
document.form1.new_pKhm.value = "";  document.form1.new_dHhm.value = "";
document.form1.new_pKMg.value = ""; document.form1.new_dHm2.value = "";
document.form1.new_pKk1.value = ""; document.form1.new_dHk1.value = "";
document.form1.new_pKNa1.value = ""; document.form1.new_dHna1.value = "";
document.form1.new_pKHNa.value = ""; document.form1.new_dHhna.value = "";
document.form1.new_pKCa1.value = ""; document.form1.new_dHca1.value = "";
document.form1.new_pKHCa.value = ""; document.form1.new_dHhca.value = "";
document.form1.new_pKCa2.value = ""; document.form1.new_dHca2.value = "";
document.form1.n_temp.value = ""; document.form1.o_temp.value = "289.15 K";
document.form1.n_ion.value = ""; document.form1.o_ion.value = "0";
}


function gettype(N){
	var N;

	doClear(N);

if (N ==1) {
document.form1.detail.value = "acetyl-CoA"; document.form1.name.value = "ACoA"; 
document.form1.dfg.value = "-188.52";
document.form1.zi.value = "0";
document.form1.nH.value = "3";
document.form1.pKh1.value = "NaN";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "NaN";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==2) {
document.form1.detail.value = "ADP"; document.form1.name.value = "ADP"; 
document.form1.dfg.value = "-1906.13";
document.form1.zi.value = "-3";
document.form1.nH.value = "12";
document.form1.pKh1.value = "6.496";
document.form1.dHh1.value = "-2";
document.form1.pKh2.value = "3.87";
document.form1.dHh2.value = "16";
document.form1.pKm1.value = "3.3";
document.form1.dHm1.value = "-15";
document.form1.pKhm.value = "1.59";
document.form1.dHhm.value = "-7.5";
document.form1.pKm2.value = "1.27";
document.form1.dHm2.value = "-11.76";
document.form1.pKk1.value = "1";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "1.12";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "2.86";
document.form1.dHca1.value = "-9.6";
document.form1.pKhca.value = "1.48";
document.form1.dHhca.value = "-6.2";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==3) {
document.form1.detail.value = "ATP"; document.form1.name.value = "ATP"; 
document.form1.dfg.value = "-2769.71";
document.form1.zi.value = "-4";
document.form1.nH.value = "12";
document.form1.pKh1.value = "6.71";
document.form1.dHh1.value = "-2";
document.form1.pKh2.value = "3.99";
document.form1.dHh2.value = "15";
document.form1.pKm1.value = "4.28";
document.form1.dHm1.value = "-18";
document.form1.pKhm.value = "2.32";
document.form1.dHhm.value = "-9.6";
document.form1.pKm2.value = "1.7";
document.form1.dHm2.value = "-17.52";
document.form1.pKk1.value = "1.17";
document.form1.dHk1.value = "-1";
document.form1.pKna1.value = "1.31";
document.form1.dHna1.value = "0.8";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "3.95";
document.form1.dHca1.value = "-13";
document.form1.pKhca.value = "2.16";
document.form1.dHhca.value = "-7.9";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==4) {
document.form1.detail.value = "1,3-bisphosphoglycerate"; document.form1.name.value = "BPG"; 
document.form1.dfg.value = "-2354.55";
document.form1.zi.value = "-4";
document.form1.nH.value = "4";
document.form1.pKh1.value = "7.1";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "NaN";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==5) {
document.form1.detail.value = "citrate"; document.form1.name.value = "CIT"; 
document.form1.dfg.value = "-1157.52";
document.form1.zi.value = "-3";
document.form1.nH.value = "5";
document.form1.pKh1.value = "5.67";
document.form1.dHh1.value = "-1.9";
document.form1.pKh2.value = "4.35";
document.form1.dHh2.value = "3.1";
document.form1.pKm1.value = "3.517";
document.form1.dHm1.value = "-8";
document.form1.pKhm.value = "1.8";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "0.6";
document.form1.dHk1.value = "-3.54";
document.form1.pKna1.value = "0.75";
document.form1.dHna1.value = "-1";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "3.54";
document.form1.dHca1.value = "-1.2";
document.form1.pKhca.value = "2.07";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==6) {
document.form1.detail.value = "COAS"; document.form1.name.value = "COAS"; 
document.form1.dfg.value = "0";
document.form1.zi.value = "-1";
document.form1.nH.value = "0";
document.form1.pKh1.value = "8.17";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "NaN";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==7) {
document.form1.detail.value = "CO2_tot"; document.form1.name.value = "CO2"; 
document.form1.dfg.value = "-527.81";
document.form1.zi.value = "-2";
document.form1.nH.value = "0";
document.form1.pKh1.value = "9.9";
document.form1.dHh1.value = "16.1";
document.form1.pKh2.value = "6.15";
document.form1.dHh2.value = "8.27";
document.form1.pKm1.value = "NaN";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==8) {
document.form1.detail.value = "dihydroxyacetone phosphate"; document.form1.name.value = "DHAP"; 
document.form1.dfg.value = "-1292.91";
document.form1.zi.value = "-2";
document.form1.nH.value = "5";
document.form1.pKh1.value = "5.9";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "1.57";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "1.38";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==9) {
document.form1.detail.value = "D-fructose 6-phosphate"; document.form1.name.value = "F6P"; 
document.form1.dfg.value = "-1760.81";
document.form1.zi.value = "-2";
document.form1.nH.value = "11";
document.form1.pKh1.value = "5.89";
document.form1.dHh1.value = "-0.559";
document.form1.pKh2.value = "1.1";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "1.74";
document.form1.dHm1.value = "-9.72";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==10) {
document.form1.detail.value = "D-fructose 1,6-phosphate"; document.form1.name.value = "F16P"; 
document.form1.dfg.value = "-2597.6";
document.form1.zi.value = "-4";
document.form1.nH.value = "10";
document.form1.pKh1.value = "6.64";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "5.92";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "2.7";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "2.12";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==11) {
document.form1.detail.value = "fumarate"; document.form1.name.value = "FUM"; 
document.form1.dfg.value = "-598.74";
document.form1.zi.value = "-2";
document.form1.nH.value = "2";
document.form1.pKh1.value = "4.09";
document.form1.dHh1.value = "-1.56";
document.form1.pKh2.value = "2.86";
document.form1.dHh2.value = "1.08";
document.form1.pKm1.value = "NaN";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "0.6";
document.form1.dHca1.value = "-6.44";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==12) {
document.form1.detail.value = "D-glucose 6-phosphate"; document.form1.name.value = "G6P"; 
document.form1.dfg.value = "-1763.94";
document.form1.zi.value = "-2";
document.form1.nH.value = "11";
document.form1.pKh1.value = "5.89";
document.form1.dHh1.value = "-0.559";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "1.74";
document.form1.dHm1.value = "-9.72";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==13) {
document.form1.detail.value = "D-glyceraldehyde 3-phosphate"; document.form1.name.value = "GAP"; 
document.form1.dfg.value = "-1285.9";
document.form1.zi.value = "-2";
document.form1.nH.value = "5";
document.form1.pKh1.value = "5.27";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "NaN";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==14) {
document.form1.detail.value = "GDP"; document.form1.name.value = "GDP"; 
document.form1.dfg.value = "-1904.53";
document.form1.zi.value = "-3";
document.form1.nH.value = "12";
document.form1.pKh1.value = "6.505";
document.form1.dHh1.value = "-2.14";
document.form1.pKh2.value = "2.8";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "3.4";
document.form1.dHm1.value = "-7.1";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==15) {
document.form1.detail.value = "D-glucose  "; document.form1.name.value = "GLC"; 
document.form1.dfg.value = "-916.39";
document.form1.zi.value = "0";
document.form1.nH.value = "12";
document.form1.pKh1.value = "NaN";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "NaN";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==16) {
document.form1.detail.value = "GTP"; document.form1.name.value = "GTP"; 
document.form1.dfg.value = "-2768.1";
document.form1.zi.value = "-4";
document.form1.nH.value = "12";
document.form1.pKh1.value = "6.63";
document.form1.dHh1.value = "-3";
document.form1.pKh2.value = "2.93";
document.form1.dHh2.value = "7.1";
document.form1.pKm1.value = "4.31";
document.form1.dHm1.value = "-17";
document.form1.pKhm.value = "2.31";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "3.7";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==17) {
document.form1.detail.value = "H2O"; document.form1.name.value = "H2O"; 
document.form1.dfg.value = "-237.19";
document.form1.zi.value = "0";
document.form1.nH.value = "2";
document.form1.pKh1.value = "NaN";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "NaN";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==18) {
document.form1.detail.value = "isocitrate"; document.form1.name.value = "ISCIT"; 
document.form1.dfg.value = "-1151.76";
document.form1.zi.value = "-3";
document.form1.nH.value = "5";
document.form1.pKh1.value = "5.765";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "4.29";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "2.625";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "1.43";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "2.54";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==19) {
document.form1.detail.value = "-ketoglutarate (2-oxoglutarate)"; document.form1.name.value = "AKG"; 
document.form1.dfg.value = "-791.57";
document.form1.zi.value = "-2";
document.form1.nH.value = "4";
document.form1.pKh1.value = "NaN";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "NaN";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==20) {
document.form1.detail.value = "malate"; document.form1.name.value = "MAL"; 
document.form1.dfg.value = "-839.3";
document.form1.zi.value = "-2";
document.form1.nH.value = "4";
document.form1.pKh1.value = "4.715";
document.form1.dHh1.value = "-0.58";
document.form1.pKh2.value = "3.265";
document.form1.dHh2.value = "3.4";
document.form1.pKm1.value = "1.71";
document.form1.dHm1.value = "-6.16";
document.form1.pKhm.value = "0.9";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "0.18";
document.form1.dHk1.value = "-2.86";
document.form1.pKna1.value = "0.28";
document.form1.dHna1.value = "0.4";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "1.95";
document.form1.dHca1.value = "-1.06";
document.form1.pKhca.value = "1.06";
document.form1.dHhca.value = "8";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==21) {
document.form1.detail.value = "NAD"; document.form1.name.value = "NAD"; 
document.form1.dfg.value = "0";
document.form1.zi.value = "-1";
document.form1.nH.value = "26";
document.form1.pKh1.value = "NaN";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "NaN";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==22) {
document.form1.detail.value = "NADH"; document.form1.name.value = "NADH"; 
document.form1.dfg.value = "23.91";
document.form1.zi.value = "-2";
document.form1.nH.value = "27";
document.form1.pKh1.value = "NaN";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "NaN";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==23) {
document.form1.detail.value = "NADP"; document.form1.name.value = "NADP"; 
document.form1.dfg.value = "-836.68";
document.form1.zi.value = "-3";
document.form1.nH.value = "25";
document.form1.pKh1.value = "NaN";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "NaN";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==24) {
document.form1.detail.value = "NADPH"; document.form1.name.value = "NADPH"; 
document.form1.dfg.value = "-809.19";
document.form1.zi.value = "-4";
document.form1.nH.value = "26";
document.form1.pKh1.value = "NaN";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "NaN";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==25) {
document.form1.detail.value = "oxaloacetate"; document.form1.name.value = "OAA"; 
document.form1.dfg.value = "-792.13";
document.form1.zi.value = "-2";
document.form1.nH.value = "2";
document.form1.pKh1.value = "3.9";
document.form1.dHh1.value = "5.24";
document.form1.pKh2.value = "2.26";
document.form1.dHh2.value = "16.62";
document.form1.pKm1.value = "1.02";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "1.6";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "5";
document.form1.dHca2.value = "NaN";
}
if (N ==26) {
document.form1.detail.value = "orthophosphate"; document.form1.name.value = "Pi"; 
document.form1.dfg.value = "-1096.1";
document.form1.zi.value = "-2";
document.form1.nH.value = "1";
document.form1.pKh1.value = "6.78";
document.form1.dHh1.value = "4.6";
document.form1.pKh2.value = "1.945";
document.form1.dHh2.value = "-8.7";
document.form1.pKm1.value = "1.823";
document.form1.dHm1.value = "-9.518";
document.form1.pKhm.value = "0.669";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "0.5";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "0.61";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "0.0856";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "1.745";
document.form1.dHca1.value = "-9.518";
document.form1.pKhca.value = "0.9212";
document.form1.dHhca.value = "-10.759";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==27) {
document.form1.detail.value = "2-phospho-D-glycerate"; document.form1.name.value = "PG2"; 
document.form1.dfg.value = "-1502.06";
document.form1.zi.value = "-3";
document.form1.nH.value = "4";
document.form1.pKh1.value = "7";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "3.55";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "2.45";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "1.18";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==28) {
document.form1.detail.value = "3-phospho-D-glycerate"; document.form1.name.value = "PG3"; 
document.form1.dfg.value = "-1507.96";
document.form1.zi.value = "-3";
document.form1.nH.value = "4";
document.form1.pKh1.value = "6.89";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "3.64";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "2.21";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "0.87";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==29) {
document.form1.detail.value = "phosphoenolpyruvate"; document.form1.name.value = "PEP"; 
document.form1.dfg.value = "-1269.4";
document.form1.zi.value = "-3";
document.form1.nH.value = "2";
document.form1.pKh1.value = "6.245";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "3.45";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "2.26";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "1.08";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==30) {
document.form1.detail.value = "pyruvate"; document.form1.name.value = "PYR"; 
document.form1.dfg.value = "-472.72";
document.form1.zi.value = "-1";
document.form1.nH.value = "3";
document.form1.pKh1.value = "2.26";
document.form1.dHh1.value = "12.8";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "1.1";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "0.8";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==31) {
document.form1.detail.value = "succinate"; document.form1.name.value = "SUC"; 
document.form1.dfg.value = "-685.56";
document.form1.zi.value = "-2";
document.form1.nH.value = "4";
document.form1.pKh1.value = "5.275";
document.form1.dHh1.value = "0.41";
document.form1.pKh2.value = "4.02";
document.form1.dHh2.value = "3";
document.form1.pKm1.value = "1.355";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "0.62";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "0.43";
document.form1.dHk1.value = "-2.76";
document.form1.pKna1.value = "0.4212";
document.form1.dHna1.value = "-2.759";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "1.405";
document.form1.dHca1.value = "-8.939";
document.form1.pKhca.value = "0.65";
document.form1.dHhca.value = "-8";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
if (N ==32) {
document.form1.detail.value = "succinyl-CoA"; document.form1.name.value = "SUCCoA"; 
document.form1.dfg.value = "-509.59";
document.form1.zi.value = "-1";
document.form1.nH.value = "4";
document.form1.pKh1.value = "3.99";
document.form1.dHh1.value = "NaN";
document.form1.pKh2.value = "NaN";
document.form1.dHh2.value = "NaN";
document.form1.pKm1.value = "NaN";
document.form1.dHm1.value = "NaN";
document.form1.pKhm.value = "NaN";
document.form1.dHhm.value = "NaN";
document.form1.pKm2.value = "NaN";
document.form1.dHm2.value = "NaN";
document.form1.pKk1.value = "NaN";
document.form1.dHk1.value = "NaN";
document.form1.pKna1.value = "NaN";
document.form1.dHna1.value = "NaN";
document.form1.pKhna.value = "NaN";
document.form1.dHhna.value = "NaN";
document.form1.pKca1.value = "NaN";
document.form1.dHca1.value = "NaN";
document.form1.pKhca.value = "NaN";
document.form1.dHhca.value = "NaN";
document.form1.pKca2.value = "NaN";
document.form1.dHca2.value = "NaN";
}
}

function doClearForm2()
{
		document.form2.abbname.value ="";
document.form2.reactionname.value ="";
document.form2.EC.value ="";
document.form2.reaction.value ="";
document.form2.reaction2.value ="";
document.form2.enthalpy.value ="";
document.form2.charge.value ="";
document.form2.StoArr.value ="";
}


function getReaction(m){
var m;
if (m ==1) {document.form2.abbname.value ="GLK";
document.form2.reactionname.value ="Glucokinase";
document.form2.EC.value ="EC 2.7.1.1";
document.form2.reaction.value ="GLC + ATP = G6P + ADP + H";
document.form2.reaction2.value ="GLC^0 + ATP^4- = G6P^2- + ADP^3- + H^+";
document.form2.enthalpy.value ="-23.8";
document.form2.charge.value ="0 -4 -2 -3 1";
document.form2.StoArr.value ="-1 -1 1 1 1";
document.form2.r_dgf.value ="-916.39 -2769.71 -1763.94 -1906.13 0";
}
if (m ==2) {document.form2.abbname.value ="PGI";
document.form2.reactionname.value ="Phosphoglucose isomerase";
document.form2.EC.value ="EC 5.3.1.9";
document.form2.reaction.value ="G6P = F6P";
document.form2.reaction2.value ="G6P^2- = F6P^2-";
document.form2.enthalpy.value ="11.53";
document.form2.charge.value ="-2 -2";
document.form2.StoArr.value ="-1 1";
document.form2.r_dgf.value ="-1763.94 -1760.81";
}
if (m ==3) {document.form2.abbname.value ="PFK";
document.form2.reactionname.value ="Phosphofructokinase";
document.form2.EC.value ="EC 2.7.1.11";
document.form2.reaction.value ="F6P + ATP = F16P + ADP + H";
document.form2.reaction2.value ="F6P^2- + ATP^4- = F16P^4- + ADP^3- + H^+";
document.form2.enthalpy.value ="-9.5";
document.form2.charge.value ="-2 -4 -4 -3 1";
document.form2.StoArr.value ="-1 -1 1 1 1";
document.form2.r_dgf.value ="-1760.81 -2769.71 -2597.6 -1906.13 0";
}
if (m ==4) {document.form2.abbname.value ="FBA";
document.form2.reactionname.value ="Fructose-1,6-bisphosphatate aldolase";
document.form2.EC.value ="EC 4.1.2.13";
document.form2.reaction.value ="F16P = DHAP + GAP";
document.form2.reaction2.value ="F16P^4- = DHAP^2- + GAP^2-";
document.form2.enthalpy.value ="48.97";
document.form2.charge.value ="-4 -2 -2";
document.form2.StoArr.value ="-1 1 1";
document.form2.r_dgf.value ="-2597.6 -1292.91 -1285.9";
}
if (m ==5) {document.form2.abbname.value ="TPI";
document.form2.reactionname.value ="Triosphosphate isomerase";
document.form2.EC.value ="EC 5.3.1.1";
document.form2.reaction.value ="GAP = DHAP";
document.form2.reaction2.value ="GAP^2- = DHAP^2-";
document.form2.enthalpy.value ="2.73";
document.form2.charge.value ="-2 -2";
document.form2.StoArr.value ="-1 1";
document.form2.r_dgf.value ="-1285.9 -1292.91";
}
if (m ==6) {document.form2.abbname.value ="FBA2";
document.form2.reactionname.value ="Fructose-1,6-bisphosphatate aldolase 2";
document.form2.EC.value ="EC 4.1.2.13/EC5.3.1.1";
document.form2.reaction.value ="F16P = 2 DHAP";
document.form2.reaction2.value ="F16P^4- = 2 DHAP^2-";
document.form2.enthalpy.value ="51.7";
document.form2.charge.value ="-4 -2";
document.form2.StoArr.value ="-1 2";
document.form2.r_dgf.value ="-2597.6 -1292.91";
}
if (m ==7) {document.form2.abbname.value ="GAP";
document.form2.reactionname.value ="Glycerald-3-P dehydrogenase";
document.form2.EC.value ="EC 1.2.1.12";
document.form2.reaction.value ="GAP + Pi + NAD = BPG + NADH + H";
document.form2.reaction2.value ="GAP^2- + HPO4^2- + NAD^- = BPG^4- + NADH^2- + H^+";
document.form2.enthalpy.value ="0";
document.form2.charge.value ="-2 -2 -1 -4 -2 1";
document.form2.StoArr.value ="-1 -1 -1 1 1 1";
document.form2.r_dgf.value ="-1285.9 -1096.1 0 -2354.55 23.91 0";
}
if (m ==8) {document.form2.abbname.value ="PGK";
document.form2.reactionname.value ="Phosphoglycerate kinase";
document.form2.EC.value ="EC 2.7.2.3";
document.form2.reaction.value ="GAP + Pi + NAD + ADP = PG3 + NADH + ATP + H";
document.form2.reaction2.value ="GAP^2- + HPO4^2- + NAD^- + ADP^3- = PG3^3- + NADH^2- + ATP^4- + H^+";
document.form2.enthalpy.value ="0";
document.form2.charge.value ="-2 -2 -1 -3 -3 -2 -4 1";
document.form2.StoArr.value ="-1 -1 -1 -1 1 1 1 1";
document.form2.r_dgf.value ="-1285.9 -1096.1 0 -1906.13 -1507.96 23.91 -2769.71 0";
}
if (m ==9) {document.form2.abbname.value ="PGM";
document.form2.reactionname.value ="Phosphoglycerate mutase";
document.form2.EC.value ="EC 5.4.2.1";
document.form2.reaction.value ="PG2 = PG3";
document.form2.reaction2.value ="PG2^3- = PG3^3-";
document.form2.enthalpy.value ="28.05";
document.form2.charge.value ="-3 -3";
document.form2.StoArr.value ="-1 1";
document.form2.r_dgf.value ="-1502.06 -1507.96";
}
if (m ==10) {document.form2.abbname.value ="ENO";
document.form2.reactionname.value ="Enolase";
document.form2.EC.value ="EC 4.2.1.11";
document.form2.reaction.value ="PG2 = PEP + H2O";
document.form2.reaction2.value ="PG2^3- = PEP^3- + H2O^0";
document.form2.enthalpy.value ="15.1";
document.form2.charge.value ="-3 -3 0";
document.form2.StoArr.value ="-1 1 1";
document.form2.r_dgf.value ="-1502.06 -1269.4 -237.19";
}
if (m ==11) {document.form2.abbname.value ="PYK";
document.form2.reactionname.value ="Pyruvate Kinase";
document.form2.EC.value ="EC 2.7.1.40";
document.form2.reaction.value ="PYR + ATP = PEP + ADP + H";
document.form2.reaction2.value ="PYR^- + ATP^4- = PEP^3- + ADP^3- + H^+";
document.form2.enthalpy.value ="5.415";
document.form2.charge.value ="-1 -4 -3 -3 1";
document.form2.StoArr.value ="-1 -1 1 1 1";
document.form2.r_dgf.value ="-472.72 -2769.71 -1269.4 -1906.13 0";
}
if (m ==12) {document.form2.abbname.value ="CITS";
document.form2.reactionname.value ="Citrate synthase";
document.form2.EC.value ="EC 4.1.3.7";
document.form2.reaction.value ="OAA + ACoA + H2O = CIT + COAS + 2 H";
document.form2.reaction2.value ="OAA^2- + ACoA^0 + H2O^0 = CIT^3- + COAS^- + 2 H^+";
document.form2.enthalpy.value ="0";
document.form2.charge.value ="-2 0 0 -3 -1 1";
document.form2.StoArr.value ="-1 -1 -1 1 1 2";
document.form2.r_dgf.value ="-792.13 -188.52 -237.19 -1157.52 0 0";
}
if (m ==13) {document.form2.abbname.value ="ACON";
document.form2.reactionname.value ="Aconitrate hydratese";
document.form2.EC.value ="EC 4.2.1.3";
document.form2.reaction.value ="ISCIT = CIT";
document.form2.reaction2.value ="ISCIT^3- = CIT^3-";
document.form2.enthalpy.value ="-20";
document.form2.charge.value ="-3 -3";
document.form2.StoArr.value ="-1 1";
document.form2.r_dgf.value ="-1151.76 -1157.52";
}
if (m ==14) {document.form2.abbname.value ="IDH";
document.form2.reactionname.value ="Isocitrate dehydrogenase";
document.form2.EC.value ="EC 1.1.1.42";
document.form2.reaction.value ="ISCIT + NADP + H2O = AKG + NADPH + CO2 + 2 H";
document.form2.reaction2.value ="ISCIT^3- + NADP^3- + H2O^0 = AKG^2- + NADPH^4- + CO3^2- + 2 H^+";
document.form2.enthalpy.value ="-22.17";
document.form2.charge.value ="-3 -3 0 -2 -4 -2 1";
document.form2.StoArr.value ="-1 -1 -1 1 1 1 2";
document.form2.r_dgf.value ="-1151.76 -836.68 -237.19 -791.57 -809.19 -527.81 0";
}
if (m ==15) {document.form2.abbname.value ="SCS";
document.form2.reactionname.value ="Succinate-CoA ligase";
document.form2.EC.value ="EC 6.2.1.4";
document.form2.reaction.value ="GTP + SUC + COAS + H = GDP + Pi + SUCCoA";
document.form2.reaction2.value ="GTP^4- + SUC^2- + COAS^- + H^+ = GDP^3- + HPO4^2- + SUCCoA^-";
document.form2.enthalpy.value ="-30.9";
document.form2.charge.value ="-4 -2 -1 1 -3 -2 -1";
document.form2.StoArr.value ="-1 -1 -1 -1 1 1 1";
document.form2.r_dgf.value ="-2768.1 -685.56 0 0 -1904.53 -1096.1 -509.59";
}
if (m ==16) {document.form2.abbname.value ="FUM";
document.form2.reactionname.value ="Fumarate hydratase";
document.form2.EC.value ="EC 4.2.1.2";
document.form2.reaction.value ="FUM + H2O = MAL";
document.form2.reaction2.value ="FUM^2- + H2O^0 = MAL2^-";
document.form2.enthalpy.value ="-13.18";
document.form2.charge.value ="-2 0 -2";
document.form2.StoArr.value ="-1 -1 1";
document.form2.r_dgf.value ="-598.74 -237.19 -839.3";
}
if (m ==17) {document.form2.abbname.value ="MDH";
document.form2.reactionname.value ="Malate dehydrogenase";
document.form2.EC.value ="EC 1.1.1.37";
document.form2.reaction.value ="MAL + NAD = OAA + NADH + H";
document.form2.reaction2.value ="MAL2^- + NAD^-1 = OAA^2- + NADH^-2 + H^+";
document.form2.enthalpy.value ="51.29";
document.form2.charge.value ="-2 -1 -2 -2 1";
document.form2.StoArr.value ="-1 -1 1 1 1";
document.form2.r_dgf.value ="-839.3 0 -792.13 23.91 0";
}
if (m ==18) {document.form2.abbname.value ="NDK";
document.form2.reactionname.value ="Nucleoside-diphosphate kinase";
document.form2.EC.value ="EC 2.7.4.6";
document.form2.reaction.value ="ATP + GDP = ADP + GTP";
document.form2.reaction2.value ="ATP^4- + GDP^3- = ADP^3- + GTP^4-";
document.form2.enthalpy.value ="0";
document.form2.charge.value ="-4 -3 -3 -4";
document.form2.StoArr.value ="-1 -1 1 1";
document.form2.r_dgf.value ="-2769.71 -1904.53 -1906.13 -2768.1";
}
if (m ==19) {document.form2.abbname.value ="NPTH";
document.form2.reactionname.value ="NADP transhydrogenase";
document.form2.EC.value ="EC 1.6.1.1";
document.form2.reaction.value ="NAD + NADPH = NADH + NADP";
document.form2.reaction2.value ="NAD^-1 + NADPH^4- = NADH^-2 + NADP^3-";
document.form2.enthalpy.value ="-4.1";
document.form2.charge.value ="-1 -4 -2 -3";
document.form2.StoArr.value ="-1 -1 1 1";
document.form2.r_dgf.value ="0 -809.19 23.91 -836.68";
}
if (m ==20) {document.form2.abbname.value ="MDH2";
document.form2.reactionname.value ="Malic enzyme";
document.form2.EC.value ="EC 1.1.1.40";
document.form2.reaction.value ="MAL + NADP + H2O = PYR + NADPH + CO2 + 2 H";
document.form2.reaction2.value ="MAL^2- + NADP^3- + H2O^0 = PYR^- + NADPH^4- + CO3^2- + 2 H^+";
document.form2.enthalpy.value ="0";
document.form2.charge.value ="-2 -3 0 -1 -4 -2 1";
document.form2.StoArr.value ="-1 -1 -1 1 1 1 2";
document.form2.r_dgf.value ="-839.3 -836.68 -237.19 -472.72 -809.19 -527.81 0";
}
if (m ==21) {document.form2.abbname.value ="MDH3";
document.form2.reactionname.value ="Malate dehydrogenase 2";
document.form2.EC.value ="EC 1.1.1.37";
document.form2.reaction.value ="MAL + ACoA + NAD + H2O = CIT + COAS + NADH +3 H";
document.form2.reaction2.value ="MAL^2- + ACoA^0 + NAD^- + H2O^0 = CIT^3- + COAS^- + NADH^2- +3 H^+";
document.form2.enthalpy.value ="0";
document.form2.charge.value ="-2 0 -1 0 -3 -1 -2 1";
document.form2.StoArr.value ="-1 -1 -1 -1 1 1 1 3";
document.form2.r_dgf.value ="-839.3 -188.52 0 -237.19 -1157.52 0 23.91 0";
}
if (m ==22) {document.form2.abbname.value ="NADK";
document.form2.reactionname.value ="NAD+ kinase";
document.form2.EC.value ="EC 2.7.1.23";
document.form2.reaction.value ="ATP + NAD = ADP + NADP + H";
document.form2.reaction2.value ="ATP^4- + NAD^- = ADP^3- + NADP^3- + H^+";
document.form2.enthalpy.value ="0";
document.form2.charge.value ="-4 -1 -3 -3 1";
document.form2.StoArr.value ="-1 -1 1 1 1";
document.form2.r_dgf.value ="-2769.71 0 -1906.13 -836.68 0";
}
if (m ==23) {document.form2.abbname.value ="ATPS";
document.form2.reactionname.value ="ATPase";
document.form2.EC.value ="EC 3.6.1.32";
document.form2.reaction.value ="ATP + H2O = ADP + Pi + H";
document.form2.reaction2.value ="ATP^4- + H2O^0 = ADP^3- + HPO4^2- + H^+";
document.form2.enthalpy.value ="-20.5";
document.form2.charge.value ="-4 0 -3 -2 1";
document.form2.StoArr.value ="-1 -1 1 1 1";
document.form2.r_dgf.value ="-2769.71 -237.19 -1906.13 -1096.1 0";
}
if (m ==24) {document.form2.abbname.value ="G6PH";
document.form2.reactionname.value ="Alkaline phosphatase/G6P hydrolysis";
document.form2.EC.value ="EC 3.1.3.1";
document.form2.reaction.value ="G6P + H2O = GLC + Pi";
document.form2.reaction2.value ="G6P^2- + H2O^0 = GLC^0 + Pi^2-";
document.form2.enthalpy.value ="0.91";
document.form2.charge.value ="-2 0 0 -2";
document.form2.StoArr.value ="-1 -1 1 1";
document.form2.r_dgf.value ="-1763.94 -237.19 -916.39 -1096.1";
}
if (m ==25) {document.form2.abbname.value ="PCL";
document.form2.reactionname.value ="Pyruvate carboxylase";
document.form2.EC.value ="EC 6.4.1.1";
document.form2.reaction.value ="PYR + ATP + CO2 = OAA + ADP + Pi";
document.form2.reaction2.value ="PYR^- + ATP^4- + CO3^2- = OAA^2- + ADP^3- + Pi^2-";
document.form2.enthalpy.value ="0";
document.form2.charge.value ="-1 -4 -2 -2 -3 -2";
document.form2.StoArr.value ="-1 -1 -1 1 1 1";
document.form2.r_dgf.value ="-472.72 -2769.71 -527.81 -792.13 -1906.13 -1096.1";
}
}

function CalcIonic(){
var T0,I0,Tm,Im,i,dfg,Zi,cH,Mg,K,Na,Ca,pKh1,dHh1,pKh2,dHh2,pK1,pK2,myH1,myH2, myMg3, myMg1, myMg2, myK, myNa, myNa1, myCa1, myCa2, Zi2,pKm1,dHm1,pKmn1,pKhm,dHhm,pKHMG,Zi3, pKMg,pKk1,dHk1,pKna1,dHna1,pKhna,dHhna,pKca1,dHca1,pKCa1,pKhca, dHca,pKHCa, pKca2,dHca2,pKCa2;

Tm = parseFloat(document.form1.temp.value);Im = parseFloat(document.form1.ion.value);
//Ph = parseFloat(document.form1.ph.value);
pKh1 = parseFloat(document.form1.pKh1.value); dHh1 = parseFloat(document.form1.dHh1.value);
Zi = parseFloat(document.form1.zi.value); cH = 1; Mg =2; K =1; Na =1; Ca =2;
//H = parseFloat(document.form1.H.value);
pKh2 = parseFloat(document.form1.pKh2.value); dHh2 = parseFloat(document.form1.dHh2.value); 
pKm1 = parseFloat(document.form1.pKm1.value); dHm1 = parseFloat(document.form1.dHm1.value);
pKhm = parseFloat(document.form1.pKhm.value); dHhm = parseFloat(document.form1.dHhm.value);
pKm2 = parseFloat(document.form1.pKm2.value); dHm2 = parseFloat(document.form1.dHm2.value);
pKk1 = parseFloat(document.form1.pKk1.value); dHk1 = parseFloat(document.form1.dHk1.value);
pKna1 = parseFloat(document.form1.pKna1.value); dHna1 = parseFloat(document.form1.dHna1.value);
pKhna = parseFloat(document.form1.pKhna.value); dHhna = parseFloat(document.form1.dHhna.value);
pKca1 = parseFloat(document.form1.pKca1.value); dHca1 = parseFloat(document.form1.dHca1.value);
pKhca = parseFloat(document.form1.pKhca.value); dHhca = parseFloat(document.form1.dHhca.value);
pKca2 = parseFloat(document.form1.pKca2.value); dHCa2 = parseFloat(document.form1.dHca2.value);

myH1 = Zi + cH;
myH2 = Zi + 1 +cH;
Zi2 = Zi + 1; 
myMg1 = Zi + Mg ;
myMg2 = Zi + 1 +Mg;
myMg3 = Zi + 2 +Mg;
Zi3 = Zi +2;
myK = Zi + K;
myNa = Zi + Na;
myNa1 = Zi + 1 + Na;
myCa1 = Zi + Ca;
myCa2 = Zi + 1 + Ca;
myCa3 = Zi + 2 + Ca;

//document.form1.my_answer.value = pKk1; 

pK1 = getNewCons(Tm, Im, pKh1, dHh1, Zi, cH, myH1); dHh1 = getNewEnth(Im, dHh1, Zi, cH, myH1); 
pK2 = getNewCons(Tm, Im, pKh2, dHh2, Zi2, cH, myH2); dH2 = getNewEnth(Im, dHh2, Zi2, cH, myH2);
pKmn1 = getNewCons(Tm, Im, pKm1, dHm1, Zi, Mg, myMg1); dHmn1 = getNewEnth(Im, dHm1, Zi, Mg, myMg1);
pKHMG = getNewCons(Tm, Im, pKhm, dHhm,Zi2, Mg, myMg2); dHHMG = getNewEnth(Im, dHhm,Zi2, Mg, myMg2);
pKMg = getNewCons(Tm, Im, pKm2, dHm2, Zi3, Mg, myMg3); dHMg = getNewEnth(Im, dHm2, Zi3, Mg, myMg3);
pKk1 = getNewCons(Tm, Im, pKk1, dHk1, Zi, K, myK); dHK1 = getNewEnth(Im, dHk1, Zi, K, myK);
pKNa1 = getNewCons(Tm, Im, pKna1, dHna1, Zi, Na, myNa); dHNa1 = getNewEnth(Im, dHna1, Zi, Na, myNa);
pKHNa = getNewCons(Tm, Im, pKhna, dHhna, Zi2, Na, myNa1); dHHNa = getNewEnth(Im, dHhna, Zi2, Na, myNa1);
pKCa1 = getNewCons(Tm, Im, pKca1, dHca1, Zi, Ca, myCa1); dHCa1 = getNewEnth(Im, dHca1, Zi, Ca, myCa1);
pKHCa = getNewCons(Tm, Im, pKhca, dHhca, Zi2, Ca, myCa2); dHHCa = getNewEnth(Im, dHhca, Zi2, Ca, myCa2);
pKCa2 = getNewCons(Tm, Im, pKca2, dHca2, Zi3, Ca, myCa3); dHCa2 = getNewEnth(Im, dHca2, Zi3, Ca, myCa3);


document.form1.new_pK.value = pK1; document.form1.new_dHh1.value = dHh1;
document.form1.new_pK2.value = pK2; document.form1.new_dHh2.value = dH2;
document.form1.new_pKm1.value = pKmn1; document.form1.new_dHm1.value = dHmn1;
document.form1.new_pKhm.value = pKHMG;  document.form1.new_dHhm.value = dHHMG;
document.form1.new_pKMg.value = pKMg; document.form1.new_dHm2.value = dHMg;
document.form1.new_pKk1.value = pKk1; document.form1.new_dHk1.value = dHK1;
document.form1.new_pKNa1.value = pKNa1; document.form1.new_dHna1.value = dHNa1;
document.form1.new_pKHNa.value = pKHNa; document.form1.new_dHhna.value = dHHNa;
document.form1.new_pKCa1.value = pKCa1; document.form1.new_dHca1.value = dHCa1;
document.form1.new_pKHCa.value = pKHCa; document.form1.new_dHhca.value = dHHCa;
document.form1.new_pKCa2.value = pKCa2; document.form1.new_dHca2.value = dHCa2;
document.form1.n_temp.value = Tm; document.form1.o_temp.value = "298.15 K";
document.form1.n_ion.value = Im; document.form1.o_ion.value = "0.1";
//document.form1.answer1.value = dHhm;
}

function getNewCons(Tm, Im, pK, dH, Zi, H, myT)
{
	var T0 = 298.15;
	var I0 = 0.1;
	var R = 8.3145e-3;

	var p = Math.pow(Im,0.5);
	var r = Math.pow(I0,0.5);
	var g = (r / (1+1.6*r) - p /(1+1.6*p));
	var h = ( p / ( 1 + 1.6 * p ) - r / ( 1 + 1.6 * r ) );

	var Q = (Math.pow(Zi,2) + Math.pow(H,2)) - Math.pow(myT,2);
	var guma = 1.10708 - 1.54508E-3 * T0 + 5.95584E-6 * Math.pow(T0,2);
	var pK2 = pK + (guma/2.303) * g * Q;
	beta = -1.28466E-5 * Math.pow(T0,2) + 9.90399E-8 * Math.pow(T0,3);

if ( isNaN(pK) )
{
	var new_pK = "Not Available";
}
else
{
	if ( isNaN(dH))
	{
		dH = 0;
		pK = pK + (guma/2.303) * g * Q;
                 dH1 = dH + beta * h * Q;
		pK2 = pK + (1/Tm - 1/T0) * dH1 / (2.303 * R);
		pK2 = pK2.toFixed(3);
		new_pK = pK2;
	}else
	{
		dH1 = dH + beta * h * Q;
		pK = pK + (guma/2.303) * g * Q;
		pK2 = pK + (1/Tm - 1/T0) * dH1 / (2.303 * R);
		pK2 = pK2.toFixed(3);
		new_pK = pK2;
	}
}

return new_pK;
}

function getNewEnth(Im, dH, Zi, H, myT)
{ //Im, dHh2, Zi2, cH, myH2
var T0,I0,Tm,Im,i,dfg,Zi,H,r,g,h,Q, guma,pK1,beta,pK2,myT,dH,dH1, a;

T0 = 298.15;
I0 = 0.1;

p = Math.pow(Im,0.5);
r = Math.pow(I0,0.5);
g = (p / (1+1.6*p) - r /(1+1.6*r));
Q = (Math.pow(Zi,2) + Math.pow(H,2)) - Math.pow(myT,2);
beta = -1.28466E-5 * Math.pow(T0,2) + 9.90399E-8 * Math.pow(T0,3);
if ( isNaN(dH))
	{  new_dH = "Not Available";}
	else{
	new_dH = dH + beta * g * Q;
	new_dH = new_dH.toFixed(3);
	}
return new_dH;
}

function calculateK()
{
	var T0, T1, I0, I1, K0, dH0, idH0, zp1,zp2,zr, dH_I0, K_I0, K_I1, p, K1, pK;
	//document.form3.n_k.value = "";
	T0 = parseFloat(document.form3.o_T.value);I0 = parseFloat(document.form3.o_i.value);
	T1 = parseFloat(document.form3.n_T.value);I1 = parseFloat(document.form3.n_I.value);
	K0 = parseFloat(document.form3.o_k.value);dH0 = parseFloat(document.form3.o_dh.value);
	idH0 = parseFloat(document.form3.o_i_dh.value); zp1 = parseFloat(document.form3.o_zp1.value);
	zp2 = parseFloat(document.form3.o_zp2.value);zr = parseFloat(document.form3.o_zr.value);
	/*	if ( T0 = "" || I0="" || T1="" || I1 ="" || K0="" || dH0="" || idH0="" || zp1="" || zp2="" || zr="")
	{
		alert('All Input Boxes Must Be filled !');	
	}*/
	R = 8.314e-3;
	K01 = Math.pow(10, -K0)
	dH_I0 = get_dH_I0(dH0,I0,T0,zp1,zp2,zr);
	gama1 = getGama(T0,I0,zp1); gama2 = getGama(T0,I0,zp2); gama3 = getGama(T0,I0,zr);
	gama4 = getGama(T1,I1,zp1); gama5 = getGama(T1,I1,zp2); gama6 = getGama(T1,I1,zr);
	
	K_I0 = K01 * gama1 * gama2 / gama3;
	//K_I0_new = K_I0_old * 10^(dH_I0*(T_new-T_old)/(2.303*R*T_new*T_old));
	p =  dH_I0 *( T1 -T0) / ( 2.303 * R * T1 * T0);
	K_I1 = K_I0 * Math.pow(10, p);
	K1 = K_I1 / ( gama4 * gama5 / gama6); 
	pK = -(Math.log(K1)/Math.log(10));
	pK = pK.toFixed(4);
	//document.form3.o_k1.value = K0;
	K1 = K1.toExponential(4);
	document.form3.n_k.value = pK;
	k_d = K01.toExponential(4);
	document.form3.o_k1.value = k_d;
	document.form3.n_k2.value = K1;
}

function get_dH_I0 (dH0,I0,o_T,zp1,zp2,zr)
{
	var T0, T1, I0, I1, dH0, idH0, zp1,zp2,zr, dh_I0, R, RT, B, z1, z2, I;
	R = 8.314e-3;          
	RT = 1.4775;
	B = 1.6;
	
	z1 = Math.pow(zp1,2) + Math.pow(zp2,2);
	z2 = Math.pow(zr,2);
	
	I = Math.pow(I0,0.5);
	
	dh_I0 = dH0 - RT*(I/(1 + B*I)) * (z1 - z2);
	
	return dh_I0;
}

function getGama(T, I, z)
{
	var T, I, z, A, B, tm, gama;
	
	A = 1.10708 - 1.54508e-3 * T + 5.95584e-6 * Math.pow(T,2);
	B =1.6;
	tm = (-1.0 * A * Math.pow(I, 0.5) * Math.pow(z , 2) ) / ( 1 + B * Math.pow(I, 0.5));
	gama = Math.exp(tm);
	
	return gama;
}


function CalcReaction(){
	var R, Entry, N, dH;
	R = 8.3145e-3;
	
	T1 = parseFloat(document.form2.temp2.value);I1 = parseFloat(document.form2.ion2.value);
	c_Mg = parseFloat(document.form2.c_Mg.value); c_K= parseFloat(document.form2.c_K.value);
	c_Na = parseFloat(document.form2.c_Na.value); c_Ca = parseFloat(document.form2.c_Ca.value);
	pH = parseFloat(document.form2.pH2.value); StoArr = document.form2.StoArr.value; 
	e = parseFloat(document.form2.enthalpy.value); z = document.form2.charge.value;
	dgf = document.form2.r_dgf.value; reaction = document.form2.reaction.value;
	
	
	T0 = 298.15; I0 =0;
	var zList = z.split(" ");
	var SAList = StoArr.split(" ");
	var dgfList = dgf.split(" ");
	
	var qt=0;
	for (a=0;a<zList.length;a++)
	{
		qt += Math.pow(zList[a],2) * SAList[a];
	}
	
	var dgf_r = 0;
	for(b=0;b<dgfList.length;b++)
	{
		dgf_r += dgfList[b] * SAList[b];
	}
	var Keq_SD = Math.exp(-dgf_r / (R * T0));
	c_H = Math.pow(10,-pH);
	
	var p = Math.pow(I1,0.5); 
	var q = Math.pow(I0,0.5);
	var f = ( p / (1 + 1.6 * p) - q / ( 1 + 1.6 * q));
	
	var alpha = 9.20483e-3 * T1 - 1.28647e-5 * Math.pow(T1,2) + 4.95199e-8 * Math.pow(T1,3);
	var cdGr_t1 = (1 - T1/T0) * e + ( T1/T0) * dgf_r;
	var cdGr1 = cdGr_t1 - alpha * f * qt;
	var Keq1 = Math.exp( -cdGr1 / (R * T1));
	
	var new_reaction = getReactionEntry(reaction);
	
	document.form2.my_view.value = new_reaction;
}

function getReactionEntry(En)
{
	var En;	
	var NewA = En.split('=');
	var NewA1 = NewA[0].split('+');
	var NewA2 = NewA[1].split('+');
	var NewAll = NewA1;
	
	for (i = NewAll.length, j=0; j< NewA2.length; i++)
	{
		NewAll[i] = NewA2[j];
		j++;
	}
	return NewAll;
}





